KJL - Bug #2906

Autoload MaterialType di Sales
07/19/2024 04:34 PM - jihad ....

Status: Closed Start date: 07/19/2024
Priority: Normal Due date:

Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Mas Shofwan,

Di Sales(PTRSALESITEMS) baru aku tambahin materialtype sehingga tidak ikut autoload seperti unit dan harga, ingin dibuatkan
autoload ya mas materialtype

Terima kasih.

History

#1 - 07/22/2024 02:06 PM - shofwan shiddiq
- File clipboard-202407221405-esbjh.png added
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to jihad ....
Net Amount: 0.00
Tax Amount: 0.00
Total Item: o

Dear Jihad, sudah di update ya

UPDATE nya di
SDATATABLEFIELD > TableName = PTRSALESITEMS, FieldName = Material, Column = SelectFunction

debugger;

var store = Ext.StoreMgr.lookup("storePTRSALESITEMS");
var idx = store.getCount() - 1;

var materiallD = val.value;

var map;
var unitmasurement;
Ext.Ajax.request({
async: false,
method: 'POST’,
url: /UserControl/GetStore’',

params: {

tableName: 'PMDMATO0001",

param: 'MateriallD[=]' + materiallD

13

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid1 = results.data;

}

1;

var maxt;
for (var i = 0; i < dtgrid1.length; i++) {
max1 = dtgrid1[i];

if (max1 != undefined) {

store.getAt(idx).set('UnitTransaction', max1.UnitMeasurement);
store.getAt(idx).set('Material Type', max1.MaterialType);

} else {

store.getAt(idx).set('UnitTransaction', '1');
store.getAt(idx).set('Material Type', '1");
Ext.Ajax.request({

async: false,

method: 'POST,

url: '/UserControl/GetStore’',
params: {

tableName: 'PMDMAT0002',
param: 'MateriallD[=]' + materiallD
13

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid = results.data;

1

D;

var max;
for (var i = 0; i < dtgrid.length; i++) {

if (Imax || parselnt(dtgrid[i]["SeqlD"]) > parselnt(max["SeqID"]))
max = dtgrid[i];

if (max != undefined) {

store.getAt(idx).set('PriceAmount’, max.StandardPrice);
store.getAt(idx).set('Discount’, max.Discount);

var _discount = max.StandardPrice * max.Discount / 100;

var netamount = Math.round(max.StandardPrice - _discount);
store.getAt(idx).set('NetAmount', netamount);
store.getAt(idx).set('TaxType', '1');

var _tax = netamount/ 1.1;

var tax = Math.round(netamount - _tax);
store.getAt(idx).set('Tax', tax);
store.getAt(idx).set('TotAmount’, netamount);
store.getAt(idx).set('Currency’, max.Currency);

} else {
'PriceAmount’, 0);
'Discount’, 0);
‘NetAmount', 0);
'"TaxType', '1');
'Tax', 0);
"TotAmount', 0);
#2 - 07/22/2024 02:13 PM - jihad ....
- Status changed from QA Test to Closed

terima mkasih mas
